{$MODE OBJFPC}
{$MODESWITCH AUTODEREF}
uses
  darray,
  dstrings;

type
  T = specialize TArray<LongInt>;

var
  V: T;

begin
  Writeln('SizeOf(TDefaultAllocator) = ', SizeOf(TDefaultAllocator));
  Writeln('SizeOf(T) = ', SizeOf(T));

  V.Init;
  V.SetLength(100);
  V[0]^ := 5;
  V[1]^ := 33;
  Writeln(V[0]^);
  Writeln(V[1]^);
  Writeln(V[2]^);
  Writeln(V[3]^);
  V.Done;
end.
